<ng-template #abrime let-modal>
     <form #f="ngForm" (ngSubmit)="Enviar(f)">
    <div class="modal-header">
        <h5 class="modal-title">Nuevo Cliente</h5>
            <button class="close" aria-label="close" type="button" (click)="modal.dismiss()"><span aria-hidden="true">&times;</span></button>
        </div>
            <div class="modal-body">
              <label>Nombre y apellido</label>
              <input type="text" 
                     required name="nom" #nom="ngModel" ngModel
                     class="form-control"
                     [(ngModel)]="datos.nombreApe"
                     maxlength="25"
                     name="nombre"
                     id="nombre"                     
                     placeholder="Maximo 25 caracteres"
                     oninput="if(this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" >               
            </div>
            <div class="modal-body">              
              <label>Telefono</label>
              <input type="number"
                     required name="tel" #tel="ngModel" ngModel
                     class="form-control" 
                     maxlength="15"
                     [(ngModel)]="datos.telefono"
                     name="telefono" 
                     placeholder="Maximo 15 caracteres"
                     oninput="if(this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);">
            </div>
            <div class="modal-footer">
            <button type="text" class="btn btn-primary">Aceptar</button>
        </div>
    </form>     
 </ng-template>

 <button type="button" class="btn btn-outline-danger" (click)="Ingreso(abrime)">+</button>
 